# gds-dialog - React

## Import

```typescript
import { GdsDialog } from '@sebgroup/green-core/react'
```

## Usage

Use the component as a React JSX element:

```tsx
<GdsDialog>
  {/* content */}
</GdsDialog>
```

## Event Handling

Events are handled using React event handler props. Event names are converted from kebab-case to camelCase with an "on" prefix:

| Web Component Event | React Handler Prop | Handler Example |
|---------------------|--------------------|-----------------|
| `gds-ui-state` | `onGdsUiState` | `onGdsUiState={handler}` |
| `gds-close` | `onGdsClose` | `onGdsClose={handler}` |
| `gds-show` | `onGdsShow` | `onGdsShow={handler}` |
